JUCE: AndroidDocumentInfo Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
AndroidDocumentInfo Class Reference
juce_core » files

Some information about a document. More...

`#include <juce_AndroidDocument.h>`

## Public Member Functions
| AndroidDocumentInfo ()=default
bool | exists () const
| True if this file really exists.
bool | isDirectory () const
| True if this is a directory rather than a file.
bool | isFile () const
| True if this is a file rather than a directory.
bool | canRead () const
| True if this process has permission to read this file.
bool | canWrite () const
| True if this is a document that can be written, or a directory that can be modified.
bool | canDelete () const
| True if this document can be removed completely from the filesystem.
bool | canCreateChildren () const
| True if this is a directory and adding child documents is supported.
bool | canRename () const
| True if this document can be renamed.
bool | canCopy () const
| True if this document can be copied.
bool | canMove () const
| True if this document can be moved.
bool | isVirtual () const
| True if this document isn't a physical file on storage.
String | getName () const
| The user-facing name.
String | getType () const
| The MIME type of this document.
int64 | getLastModified () const
| Timestamp when a document was last modified, in milliseconds since January 1, 1970 00:00:00.0 UTC.
bool | isLastModifiedValid () const
| True if the filesystem provided a modification time.
int64 | getSizeInBytes () const
| The size of the document in bytes, if known.
bool | isSizeInBytesValid () const
| True if the filesystem provided a size in bytes.

## Detailed Description

Some information about a document.

Each instance represents some information about the document at the point when the instance was created.

Instance information is not updated automatically. If you think some file information may have changed, create a new instance.

## Constructor & Destructor Documentation

## ◆ AndroidDocumentInfo()

AndroidDocumentInfo::AndroidDocumentInfo | ( |  | ) |
| default

## Member Function Documentation

## ◆ exists()

bool AndroidDocumentInfo::exists | ( |  | ) | const

True if this file really exists.

## ◆ isDirectory()

bool AndroidDocumentInfo::isDirectory | ( |  | ) | const

True if this is a directory rather than a file.

Referenced by getType(), and isFile().

## ◆ isFile()

bool AndroidDocumentInfo::isFile | ( |  | ) | const

True if this is a file rather than a directory.

References isDirectory(), and String::isNotEmpty().

## ◆ canRead()

bool AndroidDocumentInfo::canRead | ( |  | ) | const

True if this process has permission to read this file.

If this returns true, and the AndroidDocument refers to a file rather than a directory, then AndroidDocument::createInputStream should work on this document.

References String::isNotEmpty().

## ◆ canWrite()

bool AndroidDocumentInfo::canWrite | ( |  | ) | const

True if this is a document that can be written, or a directory that can be modified.

If this returns true, and the AndroidDocument refers to a file rather than a directory, then AndroidDocument::createOutputStream should work on this document.

References String::isNotEmpty().

## ◆ canDelete()

bool AndroidDocumentInfo::canDelete | ( |  | ) | const

True if this document can be removed completely from the filesystem.

## ◆ canCreateChildren()

bool AndroidDocumentInfo::canCreateChildren | ( |  | ) | const

True if this is a directory and adding child documents is supported.

## ◆ canRename()

bool AndroidDocumentInfo::canRename | ( |  | ) | const

True if this document can be renamed.

## ◆ canCopy()

bool AndroidDocumentInfo::canCopy | ( |  | ) | const

True if this document can be copied.

## ◆ canMove()

bool AndroidDocumentInfo::canMove | ( |  | ) | const

True if this document can be moved.

## ◆ isVirtual()

bool AndroidDocumentInfo::isVirtual | ( |  | ) | const

True if this document isn't a physical file on storage.

## ◆ getName()

String AndroidDocumentInfo::getName | ( |  | ) | const

The user-facing name.

This may or may not contain a file extension. For files identified by a URL, the MIME type is stored separately.

## ◆ getType()

String AndroidDocumentInfo::getType | ( |  | ) | const

The MIME type of this document.

References isDirectory().

## ◆ getLastModified()

int64 AndroidDocumentInfo::getLastModified | ( |  | ) | const

Timestamp when a document was last modified, in milliseconds since January 1, 1970 00:00:00.0 UTC.

Use isLastModifiedValid() to determine whether or not the result of this function is valid.

## ◆ isLastModifiedValid()

bool AndroidDocumentInfo::isLastModifiedValid | ( |  | ) | const

True if the filesystem provided a modification time.

## ◆ getSizeInBytes()

int64 AndroidDocumentInfo::getSizeInBytes | ( |  | ) | const

The size of the document in bytes, if known.

Use isSizeInBytesValid() to determine whether or not the result of this function is valid.

## ◆ isSizeInBytesValid()

bool AndroidDocumentInfo::isSizeInBytesValid | ( |  | ) | const

True if the filesystem provided a size in bytes.

The documentation for this class was generated from the following file:

- juce_AndroidDocument.h